import React from 'react';
import { shallow, mount } from 'enzyme';
import App from './App';
import LoadingAnimation from 'components/LoadingAnimation';

describe('App Component', () => {

  const defaultProps = {
    initCategory: () => { }
  };

  it('renders without crashing', () => {
    const wrapper = shallow(<App {...defaultProps} />);
    expect(wrapper.length === 1).toBe(true);
    wrapper.unmount();
  });

  it('should show LoadingAnimation when loading prop is set to true', () => {
    const wrapper = shallow(<App {...defaultProps} loading={true} />);
    expect(wrapper.find(LoadingAnimation)).toHaveLength(1);
    wrapper.unmount();
  });

});