import * as actions from './product';
import { PRODUCT_ACTION_TYPE } from 'redux/constants/actionTypes';
import API from 'services/api';
const { PRODUCT_INIT_BEGIN, PRODUCT_INIT_SUCCESS, PRODUCT_INIT_FAILED } = PRODUCT_ACTION_TYPE;

describe('Product Actions - logic', () => {

    describe('getProductDetails -logic', () => {

        it('getProductDetails should be defined', () => {
            expect(typeof actions.getProductDetails()).toBe('function');
        });

        it('should call redux dispatch', () => {
            const getProductDetailsSpy = jest.spyOn(API, 'getProductDetails');
            getProductDetailsSpy.mockImplementation(() => Promise.resolve({}));
            const mockDispatch = jest.fn();
            const productCallBack = actions.getProductDetails('test');
            productCallBack(mockDispatch);
            expect(mockDispatch).toHaveBeenCalledWith({ type: PRODUCT_INIT_BEGIN });
        });

    });
});
